<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.xwpf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.xwpf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/model/package-summary.html">Prev&nbsp;Package</a></li>
        <li>Next&nbsp;Package</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.xwpf.usermodel</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/Document.html"
                                            title="interface in org.apache.poi.xwpf.usermodel">Document</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                            title="interface in org.apache.poi.xwpf.usermodel">IBody</a></td>
                    <td class="colLast">
                        <div class="block">An IBody represents the different parts of the document which
                            can contain collections of Paragraphs and Tables.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                                            title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a></td>
                    <td class="colLast">
                        <div class="block">9 Jan 2010</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/ICell.html"
                                            title="interface in org.apache.poi.xwpf.usermodel">ICell</a></td>
                    <td class="colLast">
                        <div class="block">Interface for anything that can be at a table cell level:
                            <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                               title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTableCell</code></a>, <a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDTCell.html"
                                    title="class in org.apache.poi.xwpf.usermodel"><code>XWPFSDTCell</code></a></div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/IRunBody.html"
                                            title="interface in org.apache.poi.xwpf.usermodel">IRunBody</a></td>
                    <td class="colLast">
                        <div class="block">Simple interface describing both <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                            and <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDT.html"
                                   title="class in org.apache.poi.xwpf.usermodel"><code>XWPFSDT</code></a></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/IRunElement.html"
                                            title="interface in org.apache.poi.xwpf.usermodel">IRunElement</a></td>
                    <td class="colLast">
                        <div class="block">Common interface for things that can occur
                            where a run (text with common stylings) can,
                            eg <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                                  title="class in org.apache.poi.xwpf.usermodel"><code>XWPFRun</code></a> or <a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDT.html"
                                    title="class in org.apache.poi.xwpf.usermodel"><code>XWPFSDT</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContent.html"
                                            title="interface in org.apache.poi.xwpf.usermodel">ISDTContent</a></td>
                    <td class="colLast">
                        <div class="block">Experimental interface to offer rudimentary read-only processing of
                            of the contentblock of an SDT/ContentControl.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContents.html"
                                            title="interface in org.apache.poi.xwpf.usermodel">ISDTContents</a></td>
                    <td class="colLast">
                        <div class="block">Interface for anything that can be within an SDT:
                            <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                               title="class in org.apache.poi.xwpf.usermodel"><code>XWPFRun</code></a>, <a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                    title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>, <a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                    title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>,
                            <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDT.html"
                               title="class in org.apache.poi.xwpf.usermodel"><code>XWPFSDT</code></a> etc
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/FootnoteEndnoteIdManager.html"
                            title="class in org.apache.poi.xwpf.usermodel">FootnoteEndnoteIdManager</a></td>
                    <td class="colLast">
                        <div class="block">Manages IDs for footnotes and endnotes.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/PositionInParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel">PositionInParagraph</a></td>
                    <td class="colLast">
                        <div class="block">postion of a character in a paragrapho
                            1st RunPositon
                            2nd TextPosition
                            3rd CharacterPosition
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/TextSegment.html"
                                            title="class in org.apache.poi.xwpf.usermodel">TextSegment</a></td>
                    <td class="colLast">
                        <div class="block">saves the begin and end position of a text in a Paragraph</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/TOC.html"
                                            title="class in org.apache.poi.xwpf.usermodel">TOC</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a></td>
                    <td class="colLast">
                        <div class="block">Base class for both bottom-of-the-page footnotes <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFootnote.html"
                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFFootnote</code></a> and end
                            notes <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnote.html"
                                     title="class in org.apache.poi.xwpf.usermodel"><code>XWPFEndnote</code></a>).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnotesEndnotes</a></td>
                    <td class="colLast">
                        <div class="block">Base class for the Footnotes and Endnotes part implementations.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractNum</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractSDT.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractSDT</a></td>
                    <td class="colLast">
                        <div class="block">Experimental abstract class that is a base for XWPFSDT and XWPFSDTCell</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFChart</a></td>
                    <td class="colLast">
                        <div class="block">Represents a Chart in a .docx file</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFComment.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFComment</a></td>
                    <td class="colLast">
                        <div class="block">Sketch of XWPF comment class</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDefaultParagraphStyle.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFDefaultParagraphStyle</a></td>
                    <td class="colLast">
                        <div class="block">Default Paragraph style, from which other styles will override
                            TODO Share logic with <a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                    title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a> which
                            also uses CTPPr
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDefaultRunStyle.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFDefaultRunStyle</a></td>
                    <td class="colLast">
                        <div class="block">Default Character Run style, from which other styles will override
                            TODO Share logic with <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                                                     title="class in org.apache.poi.xwpf.usermodel"><code>XWPFRun</code></a>
                            which also uses CTRPr
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a></td>
                    <td class="colLast">
                        <div class="block">High(ish) level class for working with .docx files.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnote.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFEndnote</a></td>
                    <td class="colLast">
                        <div class="block">Represents an end note footnote.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnotes.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFEndnotes</a></td>
                    <td class="colLast">
                        <div class="block">Looks after the collection of end notes for a document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFactory.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFFactory</a></td>
                    <td class="colLast">
                        <div class="block">Instantiates sub-classes of POIXMLDocumentPart depending on their
                            relationship type
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFieldRun.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFFieldRun</a></td>
                    <td class="colLast">
                        <div class="block">A run of text which is part of a field, such as Title
                            of Page number or Author.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a></td>
                    <td class="colLast">
                        <div class="block">Sketch of XWPF footer class</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFootnote.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFFootnote</a></td>
                    <td class="colLast">
                        <div class="block">Represents a bottom-of-the-page footnote.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFootnotes.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFFootnotes</a></td>
                    <td class="colLast">
                        <div class="block">Looks after the collection of Footnotes for a document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a></td>
                    <td class="colLast">
                        <div class="block">Sketch of XWPF header class</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFHeaderFooter</a></td>
                    <td class="colLast">
                        <div class="block">Parent of XWPF headers and footers</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHyperlink.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFHyperlink</a></td>
                    <td class="colLast">
                        <div class="block">Sketch of XWPF hyperlink class</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHyperlinkRun.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFHyperlinkRun</a></td>
                    <td class="colLast">
                        <div class="block">A run of text with a Hyperlink applied to it.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFLatentStyles.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFLatentStyles</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNum.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFNum</a></td>
                    <td class="colLast">
                        <div class="block">TODO Bring more of the logic over from XWPFParagraph</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFNumbering</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></td>
                    <td class="colLast">
                        <div class="block">A Paragraph within a Document, Table, Header etc.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPicture.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFPicture</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFPictureData</a></td>
                    <td class="colLast">
                        <div class="block">Raw picture data, normally attached to a WordprocessingML Drawing.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFRun</a></td>
                    <td class="colLast">
                        <div class="block">XWPFRun object defines a region of text with a common set of properties</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDT.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFSDT</a></td>
                    <td class="colLast">
                        <div class="block">Experimental class to offer rudimentary read-only processing of
                            of StructuredDocumentTags/ContentControl
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDTCell.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFSDTCell</a></td>
                    <td class="colLast">
                        <div class="block">Experimental class to offer rudimentary read-only processing of
                            of StructuredDocumentTags/ContentControl that can appear
                            in a table row as if a table cell.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDTContent.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFSDTContent</a></td>
                    <td class="colLast">
                        <div class="block">Experimental class to offer rudimentary read-only processing of
                            of the contentblock of an SDT/ContentControl.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDTContentCell.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFSDTContentCell</a></td>
                    <td class="colLast">
                        <div class="block">Experimental class to offer rudimentary read-only processing of
                            of the XWPFSDTCellContent.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFSettings</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFStyles</a></td>
                    <td class="colLast">
                        <div class="block">Holds details of built-in, default and user styles, which
                            apply to tables / paragraphs / lists etc.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></td>
                    <td class="colLast">
                        <div class="block">Sketch of XWPFTable class.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a></td>
                    <td class="colLast">
                        <div class="block">Represents a Cell within a <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html"
                                            title="class in org.apache.poi.xwpf.usermodel">XWPFTableRow</a></td>
                    <td class="colLast">
                        <div class="block">A row within an <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/BodyElementType.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">BodyElementType</a></td>
                    <td class="colLast">
                        <div class="block">
                            9 Jan 2010
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/BodyType.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">BodyType</a></td>
                    <td class="colLast">
                        <div class="block">The different kinds of <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                title="interface in org.apache.poi.xwpf.usermodel"><code>IBody</code></a> that exist
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/Borders.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">Borders</a></td>
                    <td class="colLast">
                        <div class="block">Specifies all types of borders which can be specified for WordprocessingML
                            objects which have a border.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/BreakClear.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">BreakClear</a></td>
                    <td class="colLast">
                        <div class="block">Specifies the set of possible restart locations which may be used as to
                            determine the next available line when a break's type attribute has a value
                            of textWrapping.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/BreakType.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">BreakType</a></td>
                    <td class="colLast">
                        <div class="block">Specifies the possible types of break characters in a WordprocessingML
                            document.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a></td>
                    <td class="colLast">
                        <div class="block">Specifies the logic which shall be used to calculate the line spacing of the
                            parent object when it is displayed in the document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/ParagraphAlignment.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">ParagraphAlignment</a></td>
                    <td class="colLast">
                        <div class="block">Specifies all types of alignment which are available to be applied to objects
                            in a
                            WordprocessingML document
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/TableRowAlign.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">TableRowAlign</a></td>
                    <td class="colLast">
                        <div class="block">Sets alignment values allowed for Tables and Table Rows</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/TableWidthType.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">TableWidthType</a></td>
                    <td class="colLast">
                        <div class="block">The width types for tables and table cells.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/TextAlignment.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">TextAlignment</a></td>
                    <td class="colLast">
                        <div class="block">Specifies all types of vertical alignment which are available to be applied
                            to of all text
                            on each line displayed within a paragraph.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/UnderlinePatterns.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">UnderlinePatterns</a></td>
                    <td class="colLast">
                        <div class="block">Specifies the types of patterns which may be used to create the underline
                            applied beneath the text in a run.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xwpf/usermodel/VerticalAlign.html"
                                            title="enum in org.apache.poi.xwpf.usermodel">VerticalAlign</a></td>
                    <td class="colLast">
                        <div class="block">Specifies possible values for the alignment of the contents of this run in
                            relation to the default appearance of the run's text.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.FontCharRange.html"
                            title="enum in org.apache.poi.xwpf.usermodel">XWPFRun.FontCharRange</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                            title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
                            title="enum in org.apache.poi.xwpf.usermodel">XWPFTableCell.XWPFVertAlign</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/model/package-summary.html">Prev&nbsp;Package</a></li>
        <li>Next&nbsp;Package</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
